MPPB(4) | Device Drivers Manual (amiga) | MPPB(4)

# NAME

`mppb` —
Prometheus PCI bridge driver

# SYNOPSIS

`mppb* at zbus0`
`pci* at mppb?`

# DESCRIPTION

The `mppb` driver provides support for the PCI bus present on Prometheus Zorro III to PCI bridge card.

# HARDWARE

The `mppb` driver supports the following hardware:

PROMETHEUS
  Matay Prometheus. Manufacturer 44359, product 1.

# SEE ALSO

pci(4)

# HISTORY

The `mppb` device first appeared in NetBSD 6.0.

# AUTHORS

The `mppb` driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

# BUGS

The hardware does not support DMA to host memory.

The Prometheus does not support repeating of PCI transactions, instead if the PCI card demands a retry of transaction, it returns value 0xFFFFFFFF. This is currently not handled by the `mppb` driver and will confuse some PCI card drivers.

September 16, 2012 | NetBSD 9.0